Summary:	MSN Messenger clone for Linux
Summary(fr):	Clne MSN Messenger pour Linux
Summary(de):	MSN Messenger-Klon fr Linux
Name:		amsn
Version:	0.95
Release:	%mkrel 8
License:	GPL
Group:		Networking/Instant messaging
URL:		http://amsn.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/amsn/amsn-%{version}.tar.bz2
Source2:	amsn-0.95.startup.bz2
Patch0:		amsn-0.95-www-browser.diff
BuildRequires:	tcl >= 8.4.2-2mdk, openssl-devel
BuildRequires:	tk >= 8.4.2
BuildRequires:  tcl-devel, tk-devel
BuildRequires:  automake1.7
BuildRequires:	ImageMagick
Requires:	tcl >= 8.4.2
Requires:	tk >= 8.4.2
Requires:	%{mklibname tcltls 1.50}
BuildRoot:	%{_tmppath}/buildroot-%{name}-%{version}

%description
This is Tcl/Tk clone that implements the Microsoft Messenger (MSN) for
Unix,Windows, or Macintosh platforms. It supports file transfers,
groups, and many more features. Visit http://amsn.sourceforge.net/ for
details. This is an ongoing project, and it is already going pretty
well.

%description -l fr
amsn est un client Microsoft Messenger (MSN) pour UNIX, Windows et
Macintosh crit en Tcl/Tk.  Il supporte les tranferts de fichiers, les
groupes et beaucoup d'autres possibilits. 
Visitez http://amsn.sourceforge.net/ pour de plus amples dtails.

%description -l de
amsn ist ein Microsoft Messenger (MSN) Client fr UNIX, Windows und
Macintosh, der in Tcl/Tk geschrieben ist. Es untersttzt
Dateibertragungen, Gruppen uvm.
Begeben Sie sich auf http://amsn.sourceforge.net/ um mehr ber dieses
Projekt zu erfahren.

%prep

%setup -q -n amsn-%{version}
%patch0 -p0 -b .www-browser

bzcat %{SOURCE2} > amsn.startup

# lib64 fixes
perl -pi -e "s|/usr/lib/|%{_libdir}|g" configure*
perl -pi -e "s|/lib\b|/%{_lib}|g" configure*
perl -pi -e "s|^set libtls .*|set libtls \"%{_libdir}/tls1.50\"|g" amsn

%build
rm -f configure
libtoolize --copy --force; aclocal-1.7; autoconf --force

%configure2_5x

%make

%install
rm -rf %{buildroot}

%make \
    INSTALL_PREFIX=%{buildroot} \
    rpm-install

install -d %{buildroot}%{_bindir}
rm -f %{buildroot}%{_bindir}/amsn
install -m0755 amsn.startup %{buildroot}%{_bindir}/amsn

# fix softlinks
pushd %{buildroot}%{_bindir}
    ln -snf %{_datadir}/amsn/amsn-remote amsn-remote
    ln -snf %{_datadir}/amsn/amsn-remote-CLI amsn-remote-CLI
popd

# mimic the previous version somewhat
install -d %{buildroot}%{_datadir}/pixmaps
install -m0644 icons/48x48/msn.png %{buildroot}%{_datadir}/pixmaps/msn.png

ln -sf %{_docdir}%{name}-%{version}/README %{buildroot}%{_datadir}/amsn/README
ln -sf %{_docdir}%{name}-%{version}/HELP %{buildroot}%{_datadir}/amsn/HELP

# Menu
install -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.png" section="Internet/Instant Messaging" \
title="aMSN" longtitle="MSN clone" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Network" \
  --add-category="InstantMessaging" \
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  --dir $RPM_BUILD_ROOT%{_datadir}/amsn $RPM_BUILD_ROOT%{_datadir}/amsn/amsn.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cp  $RPM_BUILD_ROOT%{_datadir}/amsn/amsn.desktop $RPM_BUILD_ROOT%{_datadir}/applications/amsn.desktop

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 icons/128x128/aMSN_128.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 icons/128x128/aMSN_128.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 icons/128x128/aMSN_128.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

# cleanup
rm -rf %{buildroot}%{_datadir}/amsn/HELP
rm -rf %{buildroot}%{_datadir}/amsn/README
rm -f %{buildroot}%{_datadir}/amsn/sndplay

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AGREEMENT CREDITS FAQ GNUGPL HELP README TODO
%{_bindir}/amsn
%{_bindir}/amsn-remote
%{_bindir}/amsn-remote-CLI
%dir %{_datadir}/amsn
%{_datadir}/amsn/
%{_datadir}/applications/amsn.desktop
%{_menudir}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/pixmaps/*

%changelog
* Fri Sep 15 2006 Oden Eriksson <oeriksson@mandriva.com> 0.95-7mdv2007.0
- use www-browser and drop hardcoded mozilla deps (P0)

* Thu Jul 20 2006 Austin Acton <austin@mandriva.org> 0.95-7mdv2007.0
- beutify icons

* Wed Jul 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.95-6mdv2007.0
- Fix menu entry ( Ticket #23815)

* Sun Jul 16 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.95-5mdv2007.0
- XDG

* Fri Apr 28 2006 Oden Eriksson <oeriksson@mandriva.com> 0.95-4mdk
- fix deps

* Tue Apr 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.95-3mdk
- Fix BuildRequires

* Fri Dec 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.95-2mdk
- fix usage of correct mozilla (mozilla-firefox) (P1)
- use the broken out tcltls lib instead of bundling it here, 
  also load it per default (#20362)

* Wed Dec 28 2005 Oden Eriksson <oeriksson@mandriva.com> 0.95-1mdk
- 0.95

* Mon Jan 03 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.94-3mdk
- remove duplicate files

* Sat Dec 25 2004 Samir Bellabes <sbellabes@mandrakesoft.com> 0.94-2mdk
- Fix wrong permission of $HOME/.amsn (allowed access to others users)

* Mon Nov 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.94-1mdk 
- from Nicolas Lcureuil <neoclust@zarb.org>
  - new version

* Mon Sep 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.93-1mdk
- from Miguel Hernandez <gar99@libertypr.net> :
	- new version

* Sun Jun 06 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.92-2mdk
- clean macro (s/_(.*)/$1/g)
- Fix source version
- Fix source url
 
* Thu Jun 03 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.92-1mdk 
- From neoclust <n1c0l4s.l3@wanadoo.fr>
    - new version

* Thu Jun 3 2004 neoclust <n1c0l4s.l3@wanadoo.fr> 0.91-2mdk
- using tls 1.5.0

* Thu May 20 2004 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.91-1mdk
- new version

* Sat Nov 08 2003 Michael Scherer <scherer.michael@free.fr> 0.83-3mdk 
- BuildRequires ( tk )

* Fri Oct 31 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.83-2mdk
- Spec cleanup
- Use soundwrapper

* Thu Oct 23 2003 Michel St-Onge <mstonge@revolutionlinux.com> 0.83-1mdk
- new 0.83 version
- add tls plugin
- add icons

* Wed Nov 27 2002 Pascal Bleser <guru@unixtech.be> 0.71-1
- added BuildArch, set to noarch
- added french and german translations for summary and description
- added myself as the packager ;-)
- added patch to .desktop file to use full path to .png file out of amsn %_datadir
- many other changes and enhancements
- added define's at top of file for easier maintaining
- cleaned up %files section
- made more portable: SuSE autodetected and sets paths accordingly (KDE and GNOME)
- added _-macros
- revamped spec-file

* Thu Jun 27 2002  D.E. Grimaldo <lordofscripts AT users.sourceforge.net>
- Added update-menus to post/postun scripts (Manuel Amador)
- Updated file section

* Thu Jun 06 2002 D.E. Grimaldo <lordofscripts AT users.sourceforge.net>
- Created RPM spec file
